<?php

include("../DMMYSQLG.php");

$id = $_POST["id"];
$cantidad = $_POST["cantidad"];
$idPedido = $_POST["idPedido"];
$cantidadSolicidata;
$status;
$catidadS = mysqli_query($con ," SELECT cant_sol AS can FROM det_pedido  WHERE id_pedido = $idPedido AND nparte1 = $id ");
while ($fila = mysqli_fetch_assoc($catidadS)) {
	$cantidadSolicidata = $fila['can'];
} 

$existencias = mysqli_query($con ," select t5 , np_desc1 from farticulos where nparte1 = $id ");
while ($row = mysqli_fetch_assoc($existencias)) {
	$t5 = $row['t5'];
        $nombreP = $row["np_desc1"];
}

if($cantidad == $cantidadSolicidata){
    $status = 1;
  } else {
     $status = 2;
}
if ($cantidad > $cantidadSolicidata ){ 
    die(json_encode(array('mensaje'=>  'err' , 'producto' => $nombreP )));
    exit();
}elseif($cantidad > $t5){
    die(json_encode(array('mensaje'=>  'err2' , 'producto' => $nombreP )));
    exit();
}
else{
    $datos = mysqli_query($con ," UPDATE det_pedido SET cant_sur = $cantidad , status = $status WHERE id_pedido = $idPedido AND nparte1 = $id ");
    $produc= mysqli_fetch_array(mysqli_query($con ,"select * from farticulos where nparte1='" . $id . "'"));
$pedido= mysqli_fetch_array(mysqli_query($con ,"select * from pedido where id='" . $idPedido . "'"));
$salida= mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dgrequie WHERE folio_control = '$idPedido'"));

     $_POST['s1'] ="" ;
  $_POST['s2'] ="";
  $_POST['s3'] ="" ;
  
  $_POST['tnum'] =$salida['fol_ven'] ;
  $_POST['ver1'] =$pedido['proyecto'] ;
  $_POST['ver2'] = $pedido['fecha_sol'];
  $_POST['ver5'] =$idPedido ;
  $_POST['des_producto'] =$produc['np_desc1'] ;
  $_POST['producto'] =$id;
  $_POST['tcan'] =$cantidad ;
  $_POST['tpre'] =$produc['cos_prom'] ;
  $_POST['importe'] =$produc['cos_prom']*$cantidad;
  $_POST['boton_car'] ="Agregar Producto" ;
 
  include("../almacen/AL10800_AC6.php");
    
    
if ($datos) {
	die(json_encode(array('mensaje'=> "Modificado" , 'valor' => $status , 'faltantes' => $cantidadSolicidata - $cantidad)));
         mysqli_close($con);
} else {
	die(json_encode(array('mensaje'=>  mysqli_error($con) )));   
}
}



#die(json_encode(array('mensaje'=>  'llego' , 'a' => $id , 'b' => $cantidad , 'c' => $idPedido ))); 
 